<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddVpnGatewayReq StructType
 * @subpackage Structs
 */
class AddVpnGatewayReq extends APIRequest
{
    /**
     * The vpnGateway
     * @var XVpnGateway
     */
    public $vpnGateway;
    /**
     * Constructor method for AddVpnGatewayReq
     * @uses AddVpnGatewayReq::setVpnGateway()
     * @param XVpnGateway $vpnGateway
     */
    public function __construct(XVpnGateway $vpnGateway = null)
    {
        $this
            ->setVpnGateway($vpnGateway);
    }
    /**
     * Get vpnGateway value
     * @return XVpnGateway|null
     */
    public function getVpnGateway()
    {
        return $this->vpnGateway;
    }
    /**
     * Set vpnGateway value
     * @param XVpnGateway $vpnGateway
     * @return AddVpnGatewayReq
     */
    public function setVpnGateway(XVpnGateway $vpnGateway = null)
    {
        $this->vpnGateway = $vpnGateway;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddVpnGatewayReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
